Vision
Справочник APIСтатусы

Редактирование статуса

Базовый URL

PUT
https://v1.empr.cloud/api/v1/folders/{folderId}/statuses/{statusId}

Запрос

Заголовки запроса

Prop

Type

Параметры URL

Prop

Type

Тело запроса

Prop

Type

Пример запроса

const url =  "https://v1.empr.cloud/api/v1/folders/{folderId}/statuses/{statusId}"; const body = {  "name": "New Status",  "color": "#000000"}const options = {  method: "PUT",  headers: {    "X-Token": "Your Token",     "Content-Type": "application/json"  },   body: JSON.stringify(body)};fetch(url, options)  .then((response) => {    response.json().then((data) => {      console.log(data);    });  })  .catch((error) => {    console.error(error);  });
import requestsurl = 'https://v1.empr.cloud/api/v1/folders/{folderId}/statuses/{statusId}' body = {  "name": "New Status",  "color": "#000000"}headers = {    'X-Token': 'Your Token',    'Content-Type': 'application/json'}response = requests.put(url, headers=headers, json=body)print(response.json())
<?php$url = "https://v1.empr.cloud/api/v1/folders/{folderId}/statuses/{statusId}";$token = "Your Token"; $body = '{  "name": "New Status",  "color": "#000000"}';$headers = array(  'X-Token: '.$token,  'Content-Type: application/json');$ch = curl_init();curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);curl_setopt($ch, CURLOPT_POSTFIELDS, $body);$data = curl_exec($ch);if (curl_errno($ch)) {    print "Error: " . curl_error($ch);} else {    var_dump($data);    curl_close($ch);}?>
// Requires tokio with features = ["macros", "rt-multi-thread"]// Requires reqwest with features = ["json"]// Requires serde_json#[tokio::main]async fn main() {    let url = "https://v1.empr.cloud/api/v1/folders/{folderId}/statuses/{statusId}";    let token = "Token";     let body = serde_json::json!(        {          "name": "New Status",          "color": "#000000"        }	);    let client = reqwest::Client::new();    let response = client        .put(url)        .header("X-Token", token)        .json(&body)        .send()        .await        .expect("Failed to send request")        .json::<serde_json::Value>()        .await        .expect("Failed to parse response");    dbg!(response);}
package mainimport (	"bytes"	"io"	"net/http")func main() {	url := "https://v1.empr.cloud/api/v1/folders/{folderId}/statuses/{statusId}"	token := "Your Token"    body := []byte(`        {          "name": "New Status",          "color": "#000000"        }	`)	client := http.Client{}	req, err := http.NewRequest("PUT", url, nil)	if err != nil {		panic(err)	}	req.Header.Add("X-Token", token)    req.Header.Add("Content-Type", "application/json")    req.Body = io.NopCloser(bytes.NewReader(body))	resp, err := client.Do(req)	if err != nil {		panic(err)	}	defer resp.Body.Close()	body, _ := io.ReadAll(resp.Body)	println(string(body))}
var url = "https://v1.empr.cloud/api/v1/folders/{folderId}/statuses/{statusId}";var token = "Your Token"; var body = """{  "name": "New Status",  "color": "#000000"}"""var client = new HttpClient();client.DefaultRequestHeaders.Add("X-Token", token);client.DefaultRequestHeaders.Add("Content-Type", "application/json");var contentBody = new StringContent(body, Encoding.UTF8, "application/json");var response = await client.PutAsync(url, contentBody);var content = await response.Content.ReadAsStringAsync();Console.WriteLine(content);

Ответ

Данные ответа

Prop

Type

Пример ответа

{
"data": {
    "user_id": "***privacy***",
    "id": "***privacy***",
    "folder_id": "***privacy***",
    "status": "New Status",
    "status_color": "#000000",
    "created_at": "2023-06-22T17:36:12.605923Z",
    "updated_at": "2023-06-22T17:36:12.605923Z"
}
}

Типы данных

Prop

Type

На этой странице